Bug 180620 - Dating By Build Date Rather Than File Date
Dating By Build Date Rather Than File Date
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: repoview (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 10:28 EST by David Hart
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-02 13:44:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hart 2006-02-09 10:28:21 EST
Re: repoview-0.5-1.fc4

Description of problem:
Repoview creates the view page and rss in accordance with the package build
date. For example:

Index of /yum/Fedora/core/4/updates/i386:
audit-libs-devel-1.0.14-1.fc4.i386.rpm  08-Feb-2006 16:08   58K

Repoview:
#   06-Feb-2006: audit-libs-devel-1.0.14-1.fc4

The expectation (I think) is that the RSS and view page should coincide with the
file date which depicts the update/download date.

GREAT package by the way.
Comment 1 Christian Iseli 2007-01-17 18:23:12 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 2 Till Maas 2008-01-06 21:24:50 EST
This is still an issue in Fedora 7.
Comment 3 Konstantin Ryabitsev 2008-02-02 13:44:41 EST
I see how that would be useful in some cases, but I would prefer to stick to
build date instead. Repoview is not looking at the RPM files, only at the
metadata, and there can be cases when actual RPM files are not accessible, so
this will add extra unnecessary complexity, imo.

Note You need to log in before you can comment on or make changes to this bug.